MakeMCPathBasketEngine< RNG, S > Class Template Reference

Monte Carlo Path Basket engine factory. More...

`#include <ql/experimental/mcbasket/mcpathbasketengine.hpp>`

## Public Member Functions

| MakeMCPathBasketEngine (const boost::shared_ptr< StochasticProcessArray > &)
MakeMCPathBasketEngine & | withSteps (Size steps)
MakeMCPathBasketEngine & | withStepsPerYear (Size steps)
MakeMCPathBasketEngine & | withBrownianBridge (bool b=true)
MakeMCPathBasketEngine & | withSamples (Size samples)
MakeMCPathBasketEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCPathBasketEngine & | withMaxSamples (Size samples)
MakeMCPathBasketEngine & | withSeed (BigNatural seed)
MakeMCPathBasketEngine & | withAntitheticVariate (bool b=true)
MakeMCPathBasketEngine & | withControlVariate (bool b=true)
| operator boost::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MakeMCPathBasketEngine< RNG, S >

Monte Carlo Path Basket engine factory.